package org.cdchen.serviceloaders.apps;

import org.cdchen.serviceloaders.GreetingService;

public class TraditionalDynamicLoadingMain2 {
	@SuppressWarnings("unchecked")
	public static void main(String[] args) {
		String className = System.getProperty("greetingservice.impls");
		try {
			Class<GreetingService> clz = (Class<GreetingService>) Class.forName(className);
			GreetingService service = clz.newInstance();
			GreetingServiceUtil.callService(service);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
