package org.cdchen.serviceloaders.apps;

import java.util.ServiceLoader;

import org.cdchen.serviceloaders.GreetingService;


public class ServiceLoaderMain {
	public static void main(String[] args) {
		// 載入 ServiceLoader.
		ServiceLoader<GreetingService> serviceLoader = ServiceLoader.load(GreetingService.class);
		
		// 遊走所有 service 物件.
		for (GreetingService service : serviceLoader) {
			GreetingServiceUtil.callService(service);
		}
	}
}
